<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// =============================================================================
// -----------------------------------------------------------------------------
// METABOX OPTIONS
// -----------------------------------------------------------------------------
// =============================================================================

$options[]    = array(
    'id'        => 'post_extend',
    'title'     => '文章扩展',
    'post_type' => 'post',
    'context'   => 'normal',
    'priority'  => 'high',
    'sections'  => array(
        array(
            'name'  => 'post_style_options',
            'title' => '布局设置',
            'icon'  => 'fa fa-th-large',
            'fields' => array(
                array(
                    'id'        => 'image_select_single',
                    'type'      => 'image_select',
                    'title'     => '选择文章页样式',
                    'options'   => array(
                        'style1'    => get_template_directory_uri() .'/static/picture/single_style1.png',
                        'style2'    => get_template_directory_uri() .'/static/picture/single_style2.png',
                    ),
                    'default'   => 'style1',
                ),

            ),
        ),
        array(
            'name'  => 'post_downloads_options',
            'title' => '下载设置',
            'icon'  => 'fa fa-th-large',
            'fields' => array(
                array(
                    'id'      => 'download_link',
                    'type'    => 'text',
                    'title'   => '下载链接',
                ),
            ),

        ),
        array(
            'name'  => 'post_seo',
            'title' => 'SEO 设置',
            'icon'  => 'fa fa-magic',
            'fields' => array(
                array(
                    'id'    => 'seo_custom_title', // this is must be unique
                    'type'  => 'text',
                    'title' => '自定义标题',
                    'help'  => '留空则调用默认全局SEO设置'
                ),
                array(
                    'id'    => 'seo_custom_keywords', // this is must be unique
                    'type'  => 'text',
                    'title' => '自定义关键词',
                    'help'  => '留空则调用默认全局SEO设置'
                ),
                array(
                    'id'    => 'seo_custom_desc', // this is must be unique
                    'type'  => 'textarea',
                    'title' => '自定义描述',
                    'help'  => '留空则调用默认全局SEO设置'
                ),
            ),
        ),
    )

);


# 页面SEO设置
# ------------------------------------------------------------------------------
$options[]    = array(
    'id'        => 'page_options',
    'title'     => 'SEO设置',
    'post_type' => 'page',
    'context'   => 'normal',
    'sections'  => array(

        array(
            'name'  => 'page_seo',
            'fields' => array(
                array(
                    'id'    => 'seo_custom_title', // this is must be unique
                    'type'  => 'text',
                    'title' => '自定义标题',
                    'help'  => '留空则调用默认全局SEO设置'
                ),
                array(
                    'id'    => 'seo_custom_keywords', // this is must be unique
                    'type'  => 'textarea',
                    'title' => '自定义关键词',
                    'help'  => '留空则调用默认全局SEO设置'
                ),
                array(
                    'id'    => 'seo_custom_desc', // this is must be unique
                    'type'  => 'textarea',
                    'title' => '自定义描述',
                    'help'  => '留空则调用默认全局SEO设置'
                ),
            ),
        ),
    ),
);



# 下载设置
# ------------------------------------------------------------------------------
$options[]    = array(
    'id'        => 'download_options',
    'title'     => 'DEMO地址',
    'post_type' => 'download',
    'context'   => 'normal',
    'sections'  => array(

        array(
            'name'  => 'page_seo',
            'fields' => array(
                array(
                    'id'    => 'demo_link', // this is must be unique
                    'type'  => 'text',
                    'title' => 'DEMO地址',
                    'help'  => 'http://或https://',
                    'default'=>'https://www.wpmee.com'
                ),
            ),
        ),
    ),
);
CSFramework_Metabox::instance( $options );
?>
